aboutsummaryrefslogtreecommitdiff
path: root/network/museek-plus/museek-plus.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/museek-plus/museek-plus.SlackBuild')
-rw-r--r--network/museek-plus/museek-plus.SlackBuild70
1 files changed, 70 insertions, 0 deletions
diff --git a/network/museek-plus/museek-plus.SlackBuild b/network/museek-plus/museek-plus.SlackBuild
new file mode 100644
index 0000000000000..7596ad991676e
--- /dev/null
+++ b/network/museek-plus/museek-plus.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for museek+
+# Written by Iskar Enev <iskar.enev@gmail.com>
+
+# modified by the SlackBuilds project.
+
+PRGNAM=museek-plus
+PKGNAME=museek+
+VERSION=0.1.12
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PKGNAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PKGNAME-$VERSION
+tar -xjvf $CWD/$PKGNAME-$VERSION.tar.bz2 || exit 1
+cd $PKGNAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# This patch fixes several SCons related compile problems
+cat $CWD/museek-scons.patch | patch -p0 || exit 1
+
+# All options and build targets can be found at http://www.museek-plus.org/wiki/MuseekFromSources
+scons CFLAGS="-fPIC -Wall -pipe $SLKCFLAGS" PREFIX=/usr DESTDIR=$PKG RELEASE=yes install || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/share/pixmaps/museek
+cp -a icons/*.png $PKG/usr/share/pixmaps/museek
+
+mkdir -p $PKG/usr/share/applications
+cp -a museeq.desktop $PKG/usr/share/applications
+
+# Fix icon path in desktop file
+sed -i 's%Icon=/usr/share/pixmaps/museeq-circle2.png%Icon=/usr/share/pixmaps/museek/museeq-circle2.png%' \
+ $PKG/usr/share/applications/museeq.desktop || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a CHANGELOG COPYING CREDITS FILES INSTALL INSTRUCTIONS LICENSE README TODO doc/protocol.tmpl \
+ $PKG/usr/doc/$PKGNAME-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/rc.museekd > $PKG/usr/doc/$PKGNAME-$VERSION/rc.museekd
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz